Uploaded image for project: 'SwitchYard'
  1. SwitchYard
  2. SWITCHYARD-2230

Rules component now requires javax.api dependency for AS7 module

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.0
    • Component/s: component-rules
    • Labels:
      None

      Description

      Reported:

      trohovsk
      10:41 — Caused by java.lang.NoClassDefFoundError: javax/xml/namespace/QName
      10:41 — Caused by java.lang.ClassNotFoundException: javax.xml.namespace.QName from [Module "org.switchyard.component.rules:main" from local module loader @2416cef9 (finder: local module finder @556e4ff1 (roots: /home/trohovsk/ALPHA1/jboss-eap-6.1/modules,/home/trohovsk/ALPHA1/jboss-eap-6.1/modules/system/layers/soa,/home/trohovsk/ALPHA1/jboss-eap-6.1/modules/system/layers/bpms,/home/trohovsk/ALPHA1/jboss-eap-6.1/modules/system/layers/base)

      This dependency wasn't needed before, but is now. It's possible the kie/drools upgrade now requires a dependency that was fulfilled in some other way before.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                dward David Ward
                Reporter:
                dward David Ward
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: